#3 autotools required for build

closed-works-for-me
general (6)
5
2003-08-16
2003-08-16
Patrick Schemitz
No

The CVS version as of today (2003-08-16) doesn't
compile unless you have autotools installed. I'm not an
autotools expert (far from it), but this is not
necessary - I can't think of any other program to
require this.

Log below.

Ciao, Patrick

[ configure works fine ]
~/SourceForge/lcd4linux> make
cd . && /home/schemitz/SourceForge/lcd4linux/missing
aclocal-1.4
WARNING: `aclocal-1.4' is missing on your system. You
should only need it if
you modified `acinclude.m4' or `configure.ac'.
You might want
to install the `Automake' and `Perl' packages.
Grab them from
any GNU archive site.
cd . && /home/schemitz/SourceForge/lcd4linux/missing
automake-1.4 --gnu Makefile
WARNING: `automake-1.4' is missing on your system. You
should only need it if
you modified `Makefile.am', `acinclude.m4' or
`configure.ac'.
You might want to install the `Automake' and
`Perl' packages.
Grab them from any GNU archive site.
cd . && autoconf
configure.in:4: error: Autoconf version 2.57 or higher
is required for this script
configure.in:4: the top level
make: *** [configure] Error 1

Discussion

  • Logged In: YES
    user_id=26840

    Just checked: Neither 0.9.9 nor 0.9.10 show this behaviour,
    both compile just fine out of the box.

     
  • Logged In: YES
    user_id=2692

    You may be right, but I cannot check (all my systems have
    auto* installed). I suppose some files are missing in CVS,
    but I cannot tell you which one (and I don't want to add
    useless files). Some of these files may be added
    automagically to the release by auto*.
    Could you please check which files from the .tar.gz are
    missing in the CVS version, copy them in one by one, and
    then tell me which file(s) are necessary. I will then add
    them to the CVS repository.

    If you need an up-to-date .tar.gz, I'll send you one as a
    personal email.

     
    • assigned_to: nobody --> reinelt
     
    • status: open --> open-works-for-me
     
  • Logged In: YES
    user_id=26840

    Installing the latest autoconf and automake helped.

     
    • status: open-works-for-me --> closed-works-for-me